
QGIS Application - Bug report #12553

Features are not rendered (at certain scales) and cannot be selectd/identified if they have invalid 

geometries

2015-04-12 11:58 PM - Katharina King

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:2.18.4 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20694

Description

New description:

If a vector has invalid geometries such features are sometimes not rendered and usually this also mean that even if rendered are not

selectable or identifiable.

Open the attached vector layer and try to:

1) select or identify the polygon on the left to the one with "fsdo name" = Boise FSDO

2) try zoom in to the above polygon, at certain point it will disappear

Old description:

When a vector layer with huge geometry complexity is loaded, the data is not rendered anymore from a specific detailed zoom level on.

Procedure:

    1. Open qGis 2.8.1 on Windows 7

    2. Set the CRS to EPSG=21781

    3. Add the following vector layer: The vector data gets rendered

    4. Zoom to 1:5000 or deeper: The vector data doesn't get rendered anymore!

    5. Zoom back: The vector data gets rendered again

Remarks:

    -  Zoom level dependent rendering is OFF!

    -  The same procedure with qGis 1.7.3 on Windows 7 works perfectly... The vector file is OKAY!

    -  The phenomemon is independent of the vector FORMAT. You can translate to SHAPEFILE, the same happens!

History

#1 - 2015-04-13 12:04 AM - Katharina King

Don't understand why 2 lines got canceled in the description above! These are VALID lines... Can't edit anymore!

#2 - 2015-04-13 12:52 AM - Katharina King

Found the reason:

The Vector file holds geometry lines with 0 length! It seems qGis doesn't like that and stops rendering at specific zoom levels.

    -  This is a very particular behaviour

    -  Remember that qGis 1.7.3 has no problem with the 0 length geometry lines!

Resolved by cleaning the vector file with GRASS:

v.clean input=Test_GradientGeometry@Test output=cleaned tool=rmline thres=0.00 type=line
https://dl.dropboxusercontent.com/u/29729511/Test/Test_GradientGeometry.sqlitedb


#3 - 2015-04-13 03:20 AM - Giovanni Manghi

- Category set to Vectors

- Target version deleted (Version 2.8.1)

- Operating System deleted (Windows 7)

- OS version deleted (Windows 7)

- Affected QGIS version changed from 2.8.1 to master

- Subject changed from Vector layer not rendered when zooming to Line vector do not show at certain scales if it has geometries with length=0

#4 - 2016-10-11 09:08 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you reshare the sample data?

#5 - 2017-01-02 06:23 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

- Status changed from Feedback to Open

Nyall Dawson wrote:

Can you reshare the sample data?

better try contact directly the author of the ticket.

As it worked fine in a older QGIS release this is technically a regression.

#6 - 2017-03-03 03:57 AM - Giovanni Manghi

- Category changed from Vectors to Map Canvas

- Target version set to Version 3.0

- Affected QGIS version changed from master to 2.18.4

Will try to manage a new sample dataset to prove this issue. The problem has been certainly seen on 2.14 and 2.18 too.

#7 - 2017-03-03 04:16 AM - Giovanni Manghi

- File FSDO_Service_Areas_111615.zip added

- Subject changed from Line vector do not show at certain scales if it has geometries with length=0 to Features are not rendered (at certain scales) and 

cannot be selectd/identified if they have invalid geometries

#8 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#9 - 2017-04-30 05:08 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#10 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No
#11 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

FSDO_Service_Areas_111615.zip 2.34 MB 2017-03-03 Giovanni Manghi
